Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgText::Font::FontImplementation Class Reference

Inheritance diagram for osgText::Font::FontImplementation:

[legend]
List of all members.

## Public Member Functions
virtual std::string | getFileName () const=0
virtual void | setFontResolution (unsigned int width, unsigned int height)=0
| Set the pixel width and height hint.
virtual Glyph * | getGlyph (unsigned int charcode)=0
| Get a Glyph for specified charcode, and the font size nearest to the current font size hint.
virtual osg::Vec2 | getKerning (unsigned int leftcharcode, unsigned int rightcharcode, KerningType kerningType)=0
| Get a kerning (adjustment of spacing of two adjacent character) for specified charcodes, w.r.t the current font size hint.
virtual bool | hasVertical () const=0
| Return true if this font provides vertical alignments and spacing or glyphs.
void | setFontWidth (unsigned int width)
void | setFontHeight (unsigned int height)
void | addGlyph (unsigned int width, unsigned int height, unsigned int charcode, Glyph *glyph)
## Public Attributes
Font * | _facade

## Member Function Documentation

void osgText::Font::FontImplementation::addGlyph | ( | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | charcode,
|  | Glyph * | glyph
| ) | `[inline]`

virtual std::string osgText::Font::FontImplementation::getFileName | ( |  | ) | const`[pure virtual]`

virtual Glyph* osgText::Font::FontImplementation::getGlyph | ( | unsigned int | charcode | ) | `[pure virtual]`

| Get a Glyph for specified charcode, and the font size nearest to the current font size hint.

virtual osg::Vec2 osgText::Font::FontImplementation::getKerning | ( | unsigned int | leftcharcode,
|  | unsigned int | rightcharcode,
|  | KerningType | kerningType
| ) | `[pure virtual]`

| Get a kerning (adjustment of spacing of two adjacent character) for specified charcodes, w.r.t the current font size hint.

virtual bool osgText::Font::FontImplementation::hasVertical | ( |  | ) | const`[pure virtual]`

| Return true if this font provides vertical alignments and spacing or glyphs.

void osgText::Font::FontImplementation::setFontHeight | ( | unsigned int | height | ) | `[inline]`

virtual void osgText::Font::FontImplementation::setFontResolution | ( | unsigned int | width,
|  | unsigned int | height
| ) | `[pure virtual]`

| Set the pixel width and height hint.

void osgText::Font::FontImplementation::setFontWidth | ( | unsigned int | width | ) | `[inline]`

## Member Data Documentation

Font* osgText::Font::FontImplementation::_facade

The documentation for this class was generated from the following file:

- Font